Enumerator item

SYNOPSIS

pi_id | pi_enum_item(pi_data *);

PARAMETER

pi_data.from: | start enumerator item name
pi_data.to: | end enumerator item name
pi_data.name: | enumerator item name
pi_data.related: | pi_id of enumerator containing this item Default: previous enumerator

DESCRIPTION
This function must be called for each enumeration item of the enumerator.
C/C++ example

enum Boolean { false, true }; | // "false" and "true" are // enumeration items of Boolean

SNiFF+ Fuzzy Parser action

pi_data.from: | points to first character of the enumeration item (e.g., " false ")
pi_data.to: | points to last character of the enumeration item (e.g., " false ")
pi_data.name: | e.g., " false "

| Note
| pi_enum_item must be called twice: both for "false" and "true"

SNiFF+ usage
highlighted in Source Editor, listed in the Symbol Browser

| Note
| The function pi_enum_item() must be called immediately after calling pi_enum() .